grpcio is capped in requirements.txt

Bug #1832014 reported by Matthew Thode on 2019-06-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tooz
Medium
Unassigned

Bug Description

this is not consistent with global-requirements and blocks updating grpcio for all of openstack, not just tooz.

https://github.com/openstack/tooz/commit/70f144abde14e07d7f9620a2abb563ed16ef8c63

2019-06-07 06:53:43.258586 | ubuntu-bionic | pkg_resources.ContextualVersionConflict: (grpcio 1.21.1 (/home/zuul/src/opendev.org/openstack/requirements/.tox/py36-check-uc/lib/python3.6/site-packages), Requirement.parse('grpcio<1.16.0,>=1.0.0'), {'tooz'})

http://logs.openstack.org/43/663843/1/check/requirements-tox-py36-check-uc/cbe6d7a/job-output.txt.gz

description: updated
Ben Nemec (bnemec) wrote :
Changed in python-tooz:
status: New → Triaged
importance: Undecided → Medium
Ben Nemec (bnemec) on 2019-08-08
Changed in python-tooz:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers